WindowsXPToolBarUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsXPToolBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ToolBarUI
              javax.swing.plaf.basic.BasicToolBarUI
                  com.sun.java.swing.plaf.windows.WindowsToolBarUI
                      com.jgoodies.looks.windows.WindowsXPToolBarUI

All Implemented Interfaces:
  SwingConstants

    public final class WindowsXPToolBarUI

extends com.sun.java.swing.plaf.windows.WindowsToolBarUI

Adds behavior for handling different types of borders.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicToolBarUI
`BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI
`constraintBeforeFloating, dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`WindowsXPToolBarUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `setBorderToRollover(Component c)`
`protected void` | `uninstallListeners()`

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsToolBarUI
`createNonRolloverBorder, createRolloverBorder, getRolloverBorder, paint`

Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI
`canDock, createDockingListener, createDragWindow, createFloatingFrame, createFloatingWindow, createFrameListener, createPropertyListener, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getNonRolloverBorder, installComponents, installKeyboardActions, installNonRolloverBorders, installNormalBorders, installRolloverBorders, installUI, isFloating, isRolloverBorders, navigateFocusedComp, paintDragWindow, setBorderToNonRollover, setBorderToNormal, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, setRolloverBorders, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsXPToolBarUI

    public WindowsXPToolBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `com.sun.java.swing.plaf.windows.WindowsToolBarUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `BasicToolBarUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicToolBarUI`

### setBorderToRollover

    protected void setBorderToRollover(Component c)

  Overrides:
    `setBorderToRollover` in class `BasicToolBarUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.